Update a Knowledge Base Entry
https://{kibana_url}
- PUT /api/security_ai_assistant/knowledge_base/entries/{id}
Update an existing Knowledge Base Entry by its unique id.
Path Parameters
-
idstring · min: 1required -
The unique identifier (
id) of the Knowledge Base Entry to update.
Request
type: document
-
globalboolean -
Whether this Knowledge Base Entry is global, defaults to false.
-
namestringrequired -
Name of the Knowledge Base Entry.
-
namespacestring -
Kibana Space, defaults to 'default' space.
-
usersobject -
Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.
-
kbResourcerequired -
Knowledge Base resource name for grouping entries, e.g. 'security_labs', 'user', etc.
-
Values:
security_labsdefend_insightsuser -
sourcestringrequired -
Source document name or filepath.
-
textstringrequired -
Knowledge Base Entry content.
-
requiredboolean -
Whether this resource should always be included, defaults to false.
type: index
-
globalboolean -
Whether this Knowledge Base Entry is global, defaults to false.
-
namestringrequired -
Name of the Knowledge Base Entry.
-
namespacestring -
Kibana Space, defaults to 'default' space.
-
usersobject -
Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.
-
descriptionstringrequired -
Description for when this index or data stream should be queried for Knowledge Base content. Passed to the LLM as a tool description.
-
fieldstringrequired -
Field to query for Knowledge Base content.
-
indexstringrequired -
Index or Data Stream to query for Knowledge Base content.
-
queryDescriptionstringrequired -
Description of query field used to fetch Knowledge Base content. Passed to the LLM as part of the tool input schema.
-
inputSchemaobject -
Array of objects defining the input schema, allowing the LLM to extract structured data to be used in retrieval.
-
descriptionstringrequired -
Description of the field.
-
fieldNamestringrequired -
Name of the field.
-
fieldTypestringrequired -
Type of the field.
-
outputFieldsstring -
Fields to extract from the query result, defaults to all fields if not provided or empty.
Responses
Successful request returning the updated Knowledge Base Entry.
type: document
-
globalbooleanrequired -
Whether this Knowledge Base Entry is global, defaults to false.
-
namestringrequired -
Name of the Knowledge Base Entry.
-
namespacestringrequired -
Kibana Space, defaults to 'default' space.
-
usersobjectrequired -
Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.
-
createdAtstringrequired -
Time the Knowledge Base Entry was created.
-
createdBystringrequired -
User who created the Knowledge Base Entry.
-
idstring · min: 1required -
A string that does not contain only whitespace characters.
-
updatedAtstringrequired -
Time the Knowledge Base Entry was last updated.
-
updatedBystringrequired -
User who last updated the Knowledge Base Entry.
-
kbResourcerequired -
Knowledge Base resource name for grouping entries, e.g. 'security_labs', 'user', etc.
-
Values:
security_labsdefend_insightsuser -
sourcestringrequired -
Source document name or filepath.
-
textstringrequired -
Knowledge Base Entry content.
-
requiredboolean -
Whether this resource should always be included, defaults to false.
type: index
-
globalbooleanrequired -
Whether this Knowledge Base Entry is global, defaults to false.
-
namestringrequired -
Name of the Knowledge Base Entry.
-
namespacestringrequired -
Kibana Space, defaults to 'default' space.
-
usersobjectrequired -
Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.
-
createdAtstringrequired -
Time the Knowledge Base Entry was created.
-
createdBystringrequired -
User who created the Knowledge Base Entry.
-
idstring · min: 1required -
A string that does not contain only whitespace characters.
-
updatedAtstringrequired -
Time the Knowledge Base Entry was last updated.
-
updatedBystringrequired -
User who last updated the Knowledge Base Entry.
-
descriptionstringrequired -
Description for when this index or data stream should be queried for Knowledge Base content. Passed to the LLM as a tool description.
-
fieldstringrequired -
Field to query for Knowledge Base content.
-
indexstringrequired -
Index or Data Stream to query for Knowledge Base content.
-
queryDescriptionstringrequired -
Description of query field used to fetch Knowledge Base content. Passed to the LLM as part of the tool input schema.
-
inputSchemaobject -
Array of objects defining the input schema, allowing the LLM to extract structured data to be used in retrieval.
-
descriptionstringrequired -
Description of the field.
-
fieldNamestringrequired -
Name of the field.
-
fieldTypestringrequired -
Type of the field.
-
outputFieldsstring -
Fields to extract from the query result, defaults to all fields if not provided or empty.
Bad Request response.
-
errorstringrequired -
Error type or category.
-
messagestringrequired -
Detailed error message.
-
statusCodenumberrequired -
HTTP status code of the error.